summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/inflection/inflection-0.3.1.ebuild')
-rw-r--r--dev-python/inflection/inflection-0.3.1.ebuild11
1 files changed, 4 insertions, 7 deletions
diff --git a/dev-python/inflection/inflection-0.3.1.ebuild b/dev-python/inflection/inflection-0.3.1.ebuild
index 16c59e49cca..5ea6e6f3a81 100644
--- a/dev-python/inflection/inflection-0.3.1.ebuild
+++ b/dev-python/inflection/inflection-0.3.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
inherit distutils-r1
@@ -17,12 +17,9 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc test"
-RDEPEND=""
-DEPEND="
+BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-python/pytest[${PYTHON_USEDEP}]
- )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
"
@@ -34,5 +31,5 @@ python_compile_all() {
}
python_test() {
- py.test || die "Tests failed with ${EPYTHON}"
+ pytest -vv || die "Tests failed with ${EPYTHON}"
}